• 0

PageLines Framework Update!

Question

Posted · Report post

Who says framework is dead!

 

Fixed the error with Time.Ly refusing to namespace lessc, also suppressed php warnings with php > 5.4

 

If you purchased the framework using the old billing system then you should see the download under my-account on www.pagelines.com, if not the files are always available on github. https://github.com/pagelines/PageLines-Framework/

3 people like this

Share this post


Link to post
Share on other sites

49 answers to this question

  • 0

Posted · Report post

Thanks for your comment. I really hope that Pagelines might reconsider keeping Framework on the development pipelines. I am sure there are many like myself who have several sites running in Framework and haven't wanted to upgrade to DMS. I have searched far and wide for something to replace Framework, but I just haven't found anything. I also haven't wanted to spend the time making the transition.

 

Pagelines, please listen to your users!!

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I would also like to know how I can download the previous version. I updated to this version and now I'm getting 500 errors on the mobile version of my site. Without being able to go back, I can't troubleshoot. I was not getting errors at all before the update. How can I get the previous version? 

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

+1 ! Long life to Pagelines Framework!

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

+1 ! Long life to Pagelines Framework!

I wonder how many users there are out there who haven't upgraded to DMS, and intend to continue using Framework until it is no longer supported.

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I would also like to know how I can download the previous version. I updated to this version and now I'm getting 500 errors on the mobile version of my site. Without being able to go back, I can't troubleshoot. I was not getting errors at all before the update. How can I get the previous version? 

You can download all previous versions direct from github. There was only one change in the recent version to prevent PHP warnings with PHP 5.4 and 5.5 after hosts updated versions without asking their customers. Also the LESS compiler was namespaced because certain plugins (who will remane nameless) refused to namespace the LESS functions and it was causing issues.

Here is the repo https://github.com/pagelines/PageLines-Framework

And here are the commits https://github.com/pagelines/PageLines-Framework/commits/master

 

 

I wonder how many users there are out there who haven't upgraded to DMS, and intend to continue using Framework until it is no longer supported.

It will never be no longer supported, we will continue to patch it to work with latest WordPress and PHP versions.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

It will never be no longer supported, we will continue to patch it to work with latest WordPress and PHP versions.

 

That's great news, but perhaps exceedingly hopeful in the fast-changing world of the Web?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Not sure what you mean by that.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

As they say, never say never!

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Hello,

I see message that "PageLines Framework 2.4.5 is available. You should update now."

however, when I click on update now, I get:

Warning: Invalid argument supplied for foreach() in /home/content/e/m/c/emcavinn/html/wp-includes/update.php on line 295

Any suggestions?

Thank you.  

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I wonder how many users there are out there who haven't upgraded to DMS, and intend to continue using Framework until it is no longer supported.

 

You have multiple levels of web and wordpress. You have the Master Chef that needs no instruction and writes the modules, themes and plugins. Those are the ones who are going to continue the "Open Source" side of Framework, but they are far and few between.

Many of us are average cooks who joined Framework because you give us the recipe and ingredients and give us the freedom to add a little here or remove a little there customizing it to our taste. This may be because we either we can't or like in my case don't want to spend the time working in open source land writing code and want to use the Framework you have implemented.

It seems DMS is the microwave chef. Now I may be wrong, but my experience limited as it is, makes me feel that DMS is way to wizardy. 

 

I like the simplicity of Drag and Drop, but would like to see support and advancements in Framework. I would like it to continue through Pagelines where you guys test and guarantee the reliability of the products delivered. #JustnotaDMSuser

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I like the simplicity of Drag and Drop, but would like to see support and advancements in Framework. I would like it to continue through Pagelines where you guys test and guarantee the reliability of the products delivered. #JustnotaDMSuser

 

I couldn't agree more: I am not a developer, I am an artist fully invested in Pagelines Framework. I tried DMS and it lacked the stability and ease and control of Framework. I really hope that the Pagelines team will reconsider Framework, and make it one of the two supported and developed theme frameworks. I could see Framework enhanced further and I would certainly pay for this! Pagelines are you listening???

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

PageLines Framework is considered legacy and is feature frozen. The only time it will receive updates is if someone forks it via GitHub or it has a security issues, problem with a WordPress update. Our main focus is on DMS.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

So i bought a lifetime developer version of PageLines Framework and now I hear it is considered legacy and not being supported or updated. I have to fix an old client's website that uses Pagelines Framework, There are errors and it doesn't allow me to update to 2.4.5. So what are my choices?  Switch to another theme that is stable and supported or purchase DMS and start all over? Really don't understand this business model or who to ask for support?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

So i bought a lifetime developer version of PageLines Framework and now I hear it is considered legacy and not being supported or updated. I have to fix an old client's website that uses Pagelines Framework, There are errors and it doesn't allow me to update to 2.4.5. So what are my choices?  Switch to another theme that is stable and supported or purchase DMS and start all over? Really don't understand this business model or who to ask for support?

Answered in your other thread: http://forum.pagelines.com/topic/36195-errors-and-cannot-update-framework/?p=214408

 

The errors are probably caused by a plugin as they are not visible on your front pages.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I know that Pagelines considers DMS an upgrade to Framework, but from the user's perspective they are two entirely different products. Framework provides a more conventional and more stable (in my opinion) approach to drag and drop theme customization, while the latter is a front-end interface. Is it possible that Pagelines could consider continuing development on both? Are there enough developers in the Pagelines community who prefer Framework to keep it going? Is it possible we could vote? I would be more than happy to pay for a Framework upgrade if that were available. I have tried and tested DMS and it is not for me, much too unwieldy to use for my taste. I would highly encourage the Pagelines staff to consider asking how many in the Pagelines community would pay for a Framework upgrade.

 

 

Completely agree. I purchased Platform Pro and Pagelines Framework. I am not interested in the monthly subscription model for DMS.

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I am not interested in the monthly subscription model for DMS.

DMS is not subscriptions based. There is a standalone framework version.

 

The PageLines Club is subscription based, and that gives you access to all PageLines products.

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I couldn't agree more. Please consider Framework update. You have customers waiting for you!

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

PageLines Framework is considered legacy and is feature frozen. The only time it will receive updates is if someone forks it via GitHub or it has a security issues, problem with a WordPress update. Our main focus is on DMS.

So, has anyone had issues with Framework and WP 4.0?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I haven't updated yet but I would be curious myself. I also think it might be a good idea to wait until plugin developers have also upgraded.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Framework as well as dms was tested against wp4 with zero issues
1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Hi Simon, I've sent you an email but I post my experience here.
We have the historical and cultural site riminisparita.info (Framework 2.4.5 on WP 4.0 ita), update twice a month: never issues with it.

This morning I connected to the HP [before upload a new article] and I saw a "strange" page... showing only the background original super-image and the footer logo! No navbar, no text!
The dashboard said all the plugins were no uploaded because an error; I refresh the page and the plugins... disappeared (but still remaining in the original folder). :(

What's happening?

Thank you in advance,

Nicola

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

[Now I've upgraded to DMS...]

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Hello,

My site on framework is broken (we don't have acces on menus and widgets anymore for exemple), but it took long hours to build this site with our client, over one year, that's why we still are using framework.
I'm not sure the client would be ok to pay for a new site as this one is online for a few months only… So I would love to be able to work on this one built in Framework. Any idea?

TIA

Ines

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

If you have a specific support issue, then open a support topic.

 

This was a simple post highlighting the fact it had received an update.

Share this post


Link to post
Share on other sites
This topic is now closed to further replies.